com.mysql.jdbc

## Class ConnectionPropertiesImpl.XmlMap

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.XmlMap

Enclosing class:
  ConnectionPropertiesImpl

     class ConnectionPropertiesImpl.XmlMap
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Map<java.lang.String,ConnectionPropertiesImpl.ConnectionProperty>` `alpha`
`protected java.util.Map<java.lang.Integer,java.util.Map<java.lang.String,ConnectionPropertiesImpl.ConnectionProperty>>` `ordered`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionPropertiesImpl.XmlMap()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ordered

    protected java.util.Map<java.lang.Integer,java.util.Map<java.lang.String,ConnectionPropertiesImpl.ConnectionProperty>> ordered

#### alpha

    protected java.util.Map<java.lang.String,ConnectionPropertiesImpl.ConnectionProperty> alpha

### Constructor Detail

#### ConnectionPropertiesImpl.XmlMap

    ConnectionPropertiesImpl.XmlMap()